# Testimonial Basics
## WordPress Plugin

**Testimonial Basics is a full featured testimonial management plugin.**

## Features

* backup and restore testimonials
* setup input forms in content or widget areas
* Author,Email,Testimonial are required input fields
* Testimonial Title,Location,Website are optional input fields
* two additional customizable input fields
* show testimonials in content or widget areas
* group testimonials for separate display
* use 5 star rating system
* use sliders and excerpts
* optionally use schema/google snippet markup
* black and white or color captcha built in
* customize text color and background color
* 4 layouts for content display, 6 for widget
* use one of nine web friendly fonts
* include gravatars
* easily edit and approve testimonials in the admin panel
* pagination available in 3, 5, or 10 testimonials per page
* help available in admin panels
* translations : French, Dutch, German, Spanish
* RTL compatible

## Upgrade Notice
* Verion 4.3.2 


## Installation

1. Upload Testimonial Basics to the plugin directory 
   (wp-content/plugins/testimonial-basics) of your wordpress setup. 
2. Ensure all sub directories are maintained. 
3. Activate the theme through the Wordpress Admin panel under "Plugins".

## Documentation

* The plugin comes with detailed documentation in Testimonials Panel of the plugin installation.
* There is also context sensitive help in the Options and Edit Testimonials panels, look for the help button in the upper right hand corner.
* There is also detailed documentation available [here](http://kevinsspace.ca/testimonial-basics-user-documentation/)


## FAQ - Frequently Asked Questions

* Is there documentation for the plugin?
  * Yes. Detailed documentation is available at http://kevinsspace.ca/testimonial-basics-user-documentation/

* Page load speeds are slow
  * If your page load speed is slow it will likely be because you are using Gravatars and you are not using a cache plugin. It is recommended that you use a cache plugin for any site, whether or not you are using Gravatars for Testimonial Basics. I use WP Super Cache.

* My testimonial is not showing?
  * Ensure it is approved.

* I just approved a testimonial and it is not showing?
  * If you have a cache plugin installed such as WP Super Cache, the page you use to display your testimonials may be cached. Simply edit the page and update it or wait and the cached files will eventually be deleted and refreshed.

* When I input a color number in the cell the color won't change?
  * Hit the enter key.

* Why can't users upload photos?
  * Users are not allowed to upload photos because it is a security issue. Use of gravatars is highly recommended. Administrators have the ability to add images in the Edit Testimonials admin panel.
  * If someone wants to show me a safe way to upload photos, I will certainly look at it.

## Support
The best place for support is to contact me on my [website](//kevinsspace.ca/contact/)

## Donations, Reviews, Ratings, and Contributions
This plugin has taken 1000's hrs of development in the past 4 years. If you use the plugin, it is always nice to give something back to recognize the hardwork of this author. There are many ways to do this:
* Contribute code suggestions to improve the plugin.
* Provide feedback on bugs and improvements.
* Provide a review and rating on WordPress.org by going [here](https://wordpress.org/support/view/plugin-reviews/testimonial-basics).
* Donate to my retired and need beer and wine fund :) [help, I'm parched and need a glass of vino!](http://kevinsspace.ca/testimonial-basics-wordpress-plugin/)

## Licensing
* Copyright (C) 2016 kevinhaig kevinsspace.ca
* Testimonial Basics is licensed and distributed under the terms of the GNU GPLv3
* License URI: [http://www.gnu.org/licenses/quick-guide-gplv3.html](http://www.gnu.org/licenses/quick-guide-gplv3.html)
```
    Testimonial Basics is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Testimonial Basics is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
```